"DropletScript" = "on open names

		tell application \"System Events\"
			set wasRunning to name of every process whose name is \"Transmit\"
		end tell

		tell application \"Transmit\"
			
			activate

			###server-password-creation###

			with timeout of 7200 seconds
			
			if ( wasRunning is not {}) then
				set dropDocument to make new document at before front document
			else
				set dropDocument to document 1
			end if

			tell current session of dropDocument
			
			if ( ###connect-to-server-info### )
				try
					repeat with the_item in names
						upload item POSIX path of the_item
					end repeat
				end try
				disconnect
			end if
			end tell
			
			if ( wasRunning is not {}) then
				close dropDocument
			else
				quit
			end if
			
			end timeout

		end tell

end open";
//"PasswordCharacterLine" = "set tempPass to %@\n";
//"PasswordInitialization" = "set tempPass to (\"\" as Unicode text)\n";
"PasswordFinalization" = "set myPassword to (\"%@\" as Unicode text)\n";
"PromptSource" = "set reply to display dialog \"Enter password for %@:\" default answer \"\" buttons {\"Cancel\", \"Connect\"} default button \"Connect\" with title \"Enter Password\" with hidden answer\nset myPassword to text returned of reply\n";
"PromptSourcePanther" = "set reply to display dialog \"Enter password for %@.\n(Password will be shown in clear text.)\" default answer \"\" buttons {\"Cancel\", \"Connect\"} default button \"Connect\"\nset myPassword to text returned of reply\n";